Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 589724 - [abrt] crash in awn-extras-applets-0.4.0-5.fc12: awn-bwm.py:486:draw_meter:KeyError: 'ppp0'
[abrt] crash in awn-extras-applets-0.4.0-5.fc12: awn-bwm.py:486:draw_meter:Ke...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
abrt_hash:90621821
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 14:39 EDT by Marcel
Modified: 2010-05-15 16:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: awn-extras-applets-0.4.0-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-15 16:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (820 bytes, text/plain)
2010-05-06 14:39 EDT, Marcel
no flags Details

  None (edit)
Description Marcel 2010-05-06 14:39:28 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py --uid=1272478559 --window=25165877 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py
kernel: 2.6.32.12-115.fc12.x86_64
package: awn-extras-applets-0.4.0-5.fc12
reason: awn-bwm.py:486:draw_meter:KeyError: 'ppp0'
release: Fedora release 12 (Constantine)

backtrace
-----
awn-bwm.py:486:draw_meter:KeyError: 'ppp0'

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py", line 433, in subsequent_paint
    self.repaint()
  File "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py", line 582, in repaint
    self.draw_meter(ct, width, self.applet.get_size(), self.iface)
  File "/usr/share/avant-window-navigator/applets/bandwidth-monitor/awn-bwm.py", line 486, in draw_meter
    self.netstats.ifaces[iface]['upload_color'])
KeyError: 'ppp0'

Local variables in innermost frame:
multi: False
iface: 'ppp0'
ratio: 1024.0
width: 72.0
_total_hist: [1, 1, 1]
self: <__main__.AppletBandwidthMonitor instance at 0x11030e0>
height: 48L
max_val: 1
_rx_hist: [1]
_tx_hist: [1]
ct: <cairo.Context object at 0x7fcbfe2ebdd0>
Comment 1 Marcel 2010-05-06 14:39:31 EDT
Created attachment 412140 [details]
File: backtrace
Comment 2 leigh scott 2010-05-06 15:19:16 EDT
If you are able to reproduce the bug please report it here.

https://bugs.launchpad.net/awn-extras
Comment 3 Marcel 2010-05-14 03:20:29 EDT
Package: awn-extras-applets-0.4.0-5.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Loose my ppp connection i had select "ppp0" and restart my X session
2.
3.
Comment 4 leigh scott 2010-05-14 04:00:10 EDT
(In reply to comment #3)
> Package: awn-extras-applets-0.4.0-5.fc12
> Architecture: x86_64
> OS Release: Fedora release 12 (Constantine)
> 
> 
> How to reproduce
> -----
> 1. Loose my ppp connection i had select "ppp0" and restart my X session
> 2.
> 3.    

I couldn't find your report upstream so I forwarded it for you

https://bugs.launchpad.net/awn-extras/+bug/580370
Comment 5 Fedora Update System 2010-05-14 15:28:32 EDT
awn-extras-applets-0.4.0-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-6.fc12
Comment 6 Fedora Update System 2010-05-14 15:28:32 EDT
awn-extras-applets-0.4.0-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/awn-extras-applets-0.4.0-6.fc13
Comment 7 Fedora Update System 2010-05-15 16:28:48 EDT
awn-extras-applets-0.4.0-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-05-15 16:29:15 EDT
awn-extras-applets-0.4.0-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.